gr::ieee802_15_4::multiuser_chirp_detector_cc_impl Class Reference

`#include <multiuser_chirp_detector_cc_impl.h>`

Inheritance diagram for gr::ieee802_15_4::multiuser_chirp_detector_cc_impl:
[legend]

## Public Member Functions

| multiuser_chirp_detector_cc_impl (std::vector< gr_complex > chirp_seq, int time_gap_1, int time_gap_2, int len_subchirp, float threshold)
| ~multiuser_chirp_detector_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::multiuser_chirp_detector_cc
typedef boost::shared_ptr< multiuser_chirp_detector_cc > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::multiuser_chirp_detector_cc
static sptr | make (std::vector< gr_complex > chirp_seq, int time_gap_1, int time_gap_2, int len_subchirp, float threshold)
| Return a shared_ptr to a new instance of ieee802_15_4::multiuser_chirp_detector_cc. More...

## Constructor & Destructor Documentation

## multiuser_chirp_detector_cc_impl()

gr::ieee802_15_4::multiuser_chirp_detector_cc_impl::multiuser_chirp_detector_cc_impl | ( | std::vector< gr_complex > | chirp_seq,
|  | int | time_gap_1,
|  | int | time_gap_2,
|  | int | len_subchirp,
|  | float | threshold
| ) |  |

## ~multiuser_chirp_detector_cc_impl()

gr::ieee802_15_4::multiuser_chirp_detector_cc_impl::~multiuser_chirp_detector_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::ieee802_15_4::multiuser_chirp_detector_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::ieee802_15_4::multiuser_chirp_detector_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- multiuser_chirp_detector_cc_impl.h